# Dynamic Rate Shipping

Dynamic rate shipping in Umbraco Commerce allows you to define a series of ranges from which an order will be checked against. These checks find which range a given order falls within which in turn identifies the rates that apply. For each range, a series of rate options can be configured. Examples include a fixed rate per order, a fixed rate per order item, or percentage-based rates. By combining these configurable ranges, and different rating options it allows you to create a more dynamic algorithm than the basic fixed-rate shipping option.

## Configuration

1. Go to **Settings** > **Stores** > {Your Store} > **Shipping Methods**.

   ![Shipping Methods](/files/wvmmOOfzJHPwY87vsi8y)
2. Click **Create Shipping Method**.
3. Choose **Basic** as the shipping provider.

   ![Choose Shipping Provider](/files/okT7YTKrsXJ3187hREAy)
4. Choose **Dynamic** as the calculation mode option.

   ![Choose Shipping Calculation Mode](/files/j7hLhWRYlnxjuWfasYeX)
5. Enter the **Shipping Method Name**, **Alias**, **SKU**, and optional **Tax Rate**.

   ![Shipping Method Details](/files/ssopVaki9M1EPu202qLY)
6. Choose the range unit to base the rates upon.
7. Click **Add Range** to define each range.

   ![Shipping Method Rates](/files/EWTF2NfykEQh6eZPbImh)
8. Enter the **From** and **To** value of the range.
9. Enter the rate details from the available rate options leaving blank any option you do not wish to apply.

   ![Shipping Method Rate](/files/SiAFeT9KYsVzk1ax1C4D)
10. Select the countries in this shipping method should be allowed in.

    ![Shipping Method Allowed Countries](/files/jEiHH3YObYiKoZPTrKMS)
11. Click **Save**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce/reference/shipping/dynamic-rate-shipping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
